=== debian/changelog ===
flightgear (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Adjust watchfile to account for release candidates.
  * Adjust dependencies to require at least 3.0.0 of simgear and
    flightgear-data packages.
  * Move fgcom data to /usr/share/games/flightgear.
  * Correct doc-base registration of additional HTML documents.
  * Link against system-provided libgsm and libspeex.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 19 Feb 2014 08:23:38 -0800

flightgear (3.0.0~git20140204+c99ea4-1) unstable; urgency=low

  [ Markus Wanner ]
  * Upload to unstable.
  * Adjust B-D to allow building on kfreebsd-*. Closes: #724686.
  * Add a lintian-overrides on autotools; we use cmake.
  * Upstream corrected the fgfs manpage. Closes: #556362.
  * Drop unnecessary man page for gl-info. Closes: #698308.
  * Drop README.Linux: it's outdated to the point of uselessness.
    Closes: #574173.
  * Add an upper limit of libsimgear-dev versions that flightgear can be
    built with. Closes: #738436.
  * Drop the libsvn-dev dependency, neither flightgear nor simgear depend
    on libsvn, anymore. Closes: #682947.
  * List icons in debian/install rather than copying around from rules.
  * Update menu entry for flightgear, add one for fgcom; add .xpm icons.
    Closes: #713924.
  * flightgear.desktop: add German translation
  * Bump Standards-Version to 3.9.5; no changes needed.

  [ Rebecca Palmer ]
  * New upstream release.
  * Install the icons (based on code by Saikrishna Arcot).  (Not a
    complete fix for LP908153 as it only sets the menu/Dash icon, not the
    running window's icon, but better than nothing).
  * Disable screensaver while running. Closes: LP#793599. Add required
    libdbus-1-dev dependency.
  * Remove outdated README.Debian.
  * Terrasync now works after just ticking the box. Closes: #252899.
  * Always set Terrasync directory.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 21 Jan 2014 22:31:02 +0100

flightgear (2.12.0-1) experimental; urgency=low

  * New upstream release. Closes: #723976, #487388.
  * Adjust dependencies on simgear and flightgear-data for 2.12.
  * Drop patches terrasync.patch, CVE-2012-2090.diff, CVE-2013-2091.diff,
    and bug1117.diff. These got applied upstream.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 23 Sep 2013 22:20:15 +0200

flightgear (2.10.0-4) unstable; urgency=low

  * Accept libopenscenegraph-3.2.0~rc1, again, as per discussion with OSG
    maintainers. Recompile against that version. Closes: #722193.

 -- Markus Wanner <markus@bluegap.ch>  Fri, 20 Sep 2013 20:18:15 +0200

flightgear (2.10.0-3) unstable; urgency=low

  * Mark libopenscenegraph-3.2.0~rc1 as breaking simgear: it uses a
    library major version different from the final 3.2.0 series.
    Closes: #722193.

 -- Markus Wanner <markus@bluegap.ch>  Fri, 13 Sep 2013 20:56:14 +0200

flightgear (2.10.0-3) UNRELEASED; urgency=low

  * Mark libopenscenegraph-3.2.0~rc1 as breaking simgear: it uses a
    library major version different from the final 3.2.0 series.
    Closes: #722193.

 -- Markus Wanner <markus@bluegap.ch>  Fri, 13 Sep 2013 09:09:55 +0200
